services:
    webkul_prestashop_connector.step.prestashop_product_and_product_model_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import product'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_product'
                - '@webkul_prestashop_connector.processor.product_and_product_model'
                - '@webkul_prestashop_connector.writer.prestashop_product_and_product_model'
                - 50
                - '@akeneo_batch.job.job_stopper'

    webkul_prestashop_connector.step.prestashop_product_combinations_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_product_combinations'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_product_combinations'
                - '@pim_connector.processor.denormalization.product'
                - '@pim_connector.writer.database.product'
                - 50
                - '@akeneo_batch.job.job_stopper'

    webkul_prestashop_connector.step.prestashop_category_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_category'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_category'
                - '@pim_connector.processor.denormalization.category'
                - '@pim_connector.writer.database.category'
                - 1
                - '@akeneo_batch.job.job_stopper'
    
    webkul_prestashop_connector.step.prestashop_attribute_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_attribute'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_attribute'
                - '@pim_connector.processor.denormalization.attribute'
                - '@pim_connector.writer.database.attribute'
                - 1
                - '@akeneo_batch.job.job_stopper'
    
    webkul_prestashop_connector.step.prestashop_attribute_option_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_attribute_option'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_attribute_option'
                - '@pim_connector.processor.denormalization.attribute_option'
                - '@pim_connector.writer.database.attribute_option'
                - 1
                - '@akeneo_batch.job.job_stopper'
    
    webkul_prestashop_connector.step.prestashop_family_variant_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_family_variant'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_family_variant'
                - '@pim_connector.processor.denormalization.family_variant'
                - '@pim_connector.writer.database.family_variant'
                - 10
                - '@akeneo_batch.job.job_stopper'

    webkul_prestashop_connector.step.prestashop_family_import.import:
            class: '%pim_connector.step.item_step.class%'
            arguments:
                - 'import_family'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                - '@webkul_prestashop_connector.reader.file.prestashop_family'
                - '@pim_connector.processor.denormalization.family'
                - '@pim_connector.writer.database.family'
                - 10
                - '@akeneo_batch.job.job_stopper'